Name: luit
Version: 1.1.1
Release: 4
Summary: Locale and ISO 2022 support for Unicode terminals
Group: Development/X11
Source0: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Patch0: luit-1.1.1-mdv-fix-CP866.patch
Patch1: luit-1.1.1-posix_openpt.patch
License: MIT

BuildRequires: pkgconfig(fontenc) >= 1.0.1
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Luit is a filter that can be run between an arbitrary application and a UTF-8
terminal emulator. It will convert application output from the locale's
encoding into UTF-8, and convert terminal input from UTF-8 into the locale's
encoding.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%configure2_5x	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-localealiasfile=%{_datadir}/X11/locale/locale.dir

%make

%install
%makeinstall_std

%files
%{_bindir}/luit
%{_mandir}/man1/luit.1*

%changelog
* Fri Jul 04 2014 Tigro <ashejn@gmail.com> 1.1.1-4
+ Revision: 240951b
- fix implicit declaration of posix_openpt compiler error with new gcc


